Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## controlP5
Class ChartDataSet

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  controlP5.ChartDataSet

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class ChartDataSet

extends java.util.ArrayList

Used by Chart, a chart data set is a container to store chart data.

See Also:
  Serialized Form

Constructor Summary
`ChartDataSet(java.lang.String theName)`

Method Summary
`CColor` | `getColor()`
`int` | `getColor(int theIndex)`
`int[]` | `getColors()`
`float` | `getStrokeWeight()`
`float[]` | `getValues()`
`ChartDataSet` | `setColors(int[] theColors)`
`ChartDataSet` | `setStrokeWeight(float theStrokeWeight)`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### ChartDataSet

    public ChartDataSet(java.lang.String theName)

Method Detail

### getColor

    public CColor getColor()

### getColor

    public int getColor(int theIndex)

### getColors

    public int[] getColors()

### getStrokeWeight

    public float getStrokeWeight()

### getValues

    public float[] getValues()

### setColors

    public ChartDataSet setColors(int[] theColors)

### setStrokeWeight

    public ChartDataSet setStrokeWeight(float theStrokeWeight)

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library controlP5 by Andreas Schlegel. (c) 2006-2012